<script>
	export let data;
	const msgSubmit = () => {

	}

</script>


{#each data as msg}
	{#if msg.type =="question"}
		<div class="container">
		  <span class="time-right">{msg.date}</span><br>
		  <p class="question">{msg.message}</p>
		</div>
	{:else if msg.type=="answer"}
		<div class="container darker">
			<span class="time-left">{msg.date}</span><br>
			<img src="https://gitlab.com/Raymondaud.Q/clinais/raw/main/external_resources/Logo.png" alt="Avatar" class="right">
			<p>{msg.message}</p>
			
		</div>
	{/if}
{/each}
 
	<textarea id="msgField">Votre demande... </textarea>
	<button on:click={msgSubmit} class="btn btn-primary"> <b> Envoyer 💬 </b> </button>

<style>
	 /* Chat containers */
	.container {
	  border: 2px solid #dedede;
	  background-color: #f1f1f1;
	  border-radius: 5px;
	  padding: 10px;
	  margin: 10px 0;
	}

	/* Darker chat container */
	.darker {
	  border-color: #ccc;
	  background-color: #ddd;
	}

	/* Clear floats */
	.container::after {
	  content: "";
	  clear: both;
	  display: table;
	}

	.question {
		float: right;
	}

	/* Style images */
	.container img {
	  float: right;
	  max-width: 100px;
	  width: 100%;
	  margin-left: 10px;
	  margin-right: 10px;
	  /*border-radius: 50%;*/
	}

	/* Style the right image */
	.container img.right {
	  float: left;
	  max-width: 100px;
	  width: 100%;
	}

	/* Style time text */
	.time-right {
	  float: right;
	  color: #aaa;
	}

	/* Style time text */
	.time-left {
	  float: left;
	  color: #999;
	} 
</style> 